var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":224,"id":2736,"methods":[{"el":82,"sc":5,"sl":78},{"el":88,"sc":5,"sl":84},{"el":105,"sc":5,"sl":90},{"el":111,"sc":5,"sl":107},{"el":116,"sc":5,"sl":113},{"el":138,"sc":5,"sl":118},{"el":222,"sc":5,"sl":198}],"name":"TestClientAuthenticationFallBack","sl":76},{"el":151,"id":2759,"methods":[{"el":149,"sc":9,"sl":142}],"name":"TestClientAuthenticationFallBack.ResponseBasicUnauthorized","sl":140},{"el":169,"id":2765,"methods":[{"el":167,"sc":9,"sl":155}],"name":"TestClientAuthenticationFallBack.AuthHandler","sl":153},{"el":196,"id":2774,"methods":[{"el":179,"sc":9,"sl":176},{"el":182,"sc":9,"sl":181},{"el":187,"sc":9,"sl":184},{"el":190,"sc":9,"sl":189},{"el":194,"sc":9,"sl":192}],"name":"TestClientAuthenticationFallBack.TestCredentialsProvider","sl":171}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_31":{"methods":[{"sl":113},{"sl":118},{"sl":142},{"sl":155},{"sl":176},{"sl":184},{"sl":192},{"sl":198}],"name":"testBasicAuthenticationSuccess","pass":true,"statements":[{"sl":115},{"sl":121},{"sl":128},{"sl":129},{"sl":131},{"sl":132},{"sl":134},{"sl":135},{"sl":136},{"sl":137},{"sl":145},{"sl":146},{"sl":147},{"sl":159},{"sl":160},{"sl":161},{"sl":163},{"sl":164},{"sl":165},{"sl":177},{"sl":178},{"sl":185},{"sl":186},{"sl":193},{"sl":200},{"sl":201},{"sl":202},{"sl":204},{"sl":208},{"sl":210},{"sl":212},{"sl":213},{"sl":214},{"sl":215},{"sl":216},{"sl":217},{"sl":218},{"sl":219},{"sl":220},{"sl":221}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [31], [], [31], [], [], [31], [], [], [31], [], [], [], [], [], [], [31], [31], [], [31], [31], [], [31], [31], [31], [31], [], [], [], [], [31], [], [], [31], [31], [31], [], [], [], [], [], [], [], [31], [], [], [], [31], [31], [31], [], [31], [31], [31], [], [], [], [], [], [], [], [], [], [], [31], [31], [31], [], [], [], [], [], [31], [31], [31], [], [], [], [], [], [31], [31], [], [], [], [], [31], [], [31], [31], [31], [], [31], [], [], [], [31], [], [31], [], [31], [31], [31], [31], [31], [31], [31], [31], [31], [31], [], [], []]
